Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I'v just upgraded to an iphone 5 after my old 4 died, battery dead and charging mechanism kaput, so not able to transfer data phone to phone. Tried it on mac at home and it says I need min version 11 on itunes, but when I search for updates it says latest version is 10.6.3 - any suggestions?

share|improve this question
1  
Which version of OS X are you running? –  patrix Apr 23 '13 at 14:12
1  
Are you sure you are running OS X 10.6.8 or later? According to apple.com/itunes/download that's what you need to be able to run iTunes 11. –  Alex Apr 23 '13 at 14:24

1 Answer 1

You can try downloading v11 from Apple's website:

http://www.apple.com/itunes/download/

Hope that solves it!

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.